#!/bin/sh

# /*
#  * Copyright [2011] [MCNC]
#  *
#  * Licensed under the Apache License, Version 2.0 (the "License");
#  * you may not use this file except in compliance with the License.
#  * You may obtain a copy of the License at
#  *
#  * http://www.apache.org/licenses/LICENSE-2.0
#  *
#  * Unless required by applicable law or agreed to in writing, software
#  * distributed under the License is distributed on an "AS IS" BASIS,
#  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  * See the License for the specific language governing permissions and
#  * limitations under the License.
#  */


export DATE=`/bin/date +%Y%m%d`
mkdir -p /tmp/output

if [ "$1" == "" ]
then
    # echo "first arg empty"
    export NLOOPS=10
else
    # echo "first arg is $1"
    export NLOOPS=$1
fi

# echo "Using NLOOPS = $NLOOPS"

# export NLOOPS=200
export SECONDS_BETWEEN_LOOPS=4

for ((i=0; i<$NLOOPS; i++)) 
do 
    ./check_sp-test.my.org_shib_login.pl 2>&1 >> /tmp/output/$DATE
    ./check_sp-test.my.org_shib_login.pl 2>&1 >> /tmp/output/$DATE
    ./check_sp-test.my.org_shib_login.pl 2>&1 >> /tmp/output/$DATE
    ./check_sp-test.my.org_shib_login.pl 2>&1 >> /tmp/output/$DATE
    sleep $SECONDS_BETWEEN_LOOPS
done

exit
